Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 382779)
+++ channels/chan_sip.c	(working copy)
@@ -5827,6 +5827,11 @@
 	/* Get the outbound proxy information */
 	ref_proxy(dialog, obproxy_get(dialog, NULL));
 
+	/* If we have an outbound proxy, don't bother with DNS resolution at all */
+	if (dialog->outboundproxy) {
+		return 0;
+	}
+
 	if (addr) {
 		/* This address should be updated using dnsmgr */
 		ast_sockaddr_copy(&dialog->sa, addr);
